Bug 535944 - (RHQ-346) setup a Java security policy for the Agent JVM (disallow plugins to do System.exit(), etc.)
setup a Java security policy for the Agent JVM (disallow plugins to do System...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 11:20 EDT by Ian Springer
Modified: 2014-05-12 15:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-12 15:33:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2008-04-21 11:20:00 EDT

    
Comment 1 Joseph Marques 2008-07-20 17:38:27 EDT
ips, +5

plugins should definitely be in a "jail"
Comment 2 Red Hat Bugzilla 2009-11-10 16:07:26 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-346

Note You need to log in before you can comment on or make changes to this bug.